JavaScript
import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
const runs = await runClient.list();
console.log("runs:", runs);
}
main();import autotab
from autotab.rest import ApiException
from pprint import pprint
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
runs = await autotab.RunApi(client).list()
curl --request GET \
--url https://api.autotab.com/v1/run/list \
--header 'Authorization: Bearer <token>'
[
{
"id": "<string>",
"skill_id": "<string>",
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"environment": "client",
"start_time": "2023-11-07T05:31:56Z",
"name": "<string>",
"end_time": "2023-11-07T05:31:56Z",
"state": "play",
"inputs": {},
"data": {},
"video_url": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Run
List
GET
/
run
/
list
JavaScript
import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
const runs = await runClient.list();
console.log("runs:", runs);
}
main();import autotab
from autotab.rest import ApiException
from pprint import pprint
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
runs = await autotab.RunApi(client).list()
Authorizations
Your Autotab API key
Query Parameters
The skill to list run sessions for
The state filter to list run sessions for
Available options:
play, pause, finish, reset, cancel, timeout, editing Response
Successful Response
Available options:
client, cloud Available options:
play, pause, finish, reset, cancel, timeout, editing